org.apache.avro.specific

## Class SpecificRecordBuilderBase<T extends SpecificRecord>

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<T>

All Implemented Interfaces:
  RecordBuilder<T>

    public abstract class SpecificRecordBuilderBase<T extends SpecificRecord>
    extends RecordBuilderBase<T>

Abstract base class for specific RecordBuilder implementations. Not thread-safe.

### Constructor Summary

Constructors
`protected` `SpecificRecordBuilderBase(Schema schema)` Creates a SpecificRecordBuilderBase for building records of the given type.
`protected` `SpecificRecordBuilderBase(Schema schema, SpecificData model)` Creates a SpecificRecordBuilderBase for building records of the given type.
`protected` `SpecificRecordBuilderBase(SpecificRecordBuilderBase<T> other)` SpecificRecordBuilderBase copy constructor.
`protected` `SpecificRecordBuilderBase(T other)` Creates a SpecificRecordBuilderBase by copying an existing record instance.

### Method Summary

### Methods inherited from class org.apache.avro.data.RecordBuilderBase

`data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.avro.data.RecordBuilder

`build`

### Constructor Detail

#### SpecificRecordBuilderBase

    protected SpecificRecordBuilderBase(Schema schema)

Creates a SpecificRecordBuilderBase for building records of the given type.

Parameters:
  `schema` - the schema associated with the record class.

#### SpecificRecordBuilderBase

    protected SpecificRecordBuilderBase(Schema schema,
                                        SpecificData model)

Creates a SpecificRecordBuilderBase for building records of the given type.

Parameters:
  `schema` - the schema associated with the record class.
  `model` - the SpecificData associated with the specific record class

#### SpecificRecordBuilderBase

    protected SpecificRecordBuilderBase(SpecificRecordBuilderBase<T> other)

SpecificRecordBuilderBase copy constructor.

Parameters:
  `other` - SpecificRecordBuilderBase instance to copy.

#### SpecificRecordBuilderBase

    protected SpecificRecordBuilderBase(T other)

Creates a SpecificRecordBuilderBase by copying an existing record instance.

Parameters:
  `other` - the record instance to copy.